package com.pcloud.common.utils.validate;

import java.util.regex.Pattern;

/**
 * @描述：正则表达式验证
 * @作者：DiSeng.H
 * @创建时间：2016年3月10日,上午11:31:23
 * @版本：1.0
 */
public class RegularUtil {
	
	/**
	 * @author shenjialong
	 * @param regular
	 *            正则表达式
	 * @param str
	 *            需要验证的语句
	 * @return 返回boolbean值:匹配返回true
	 */
	public static Boolean validatePattern(String regular, String input) {
		Pattern p = Pattern.compile(regular);
		return p.matcher(input).matches();
	}

}
